condenser_api.get_market_history
Purpose
Gibt die Markthistorie für den internen SBD:STEEM-Markt zurück. Parameter: bucket_seconds:int; start:timestamp; end:timestamp
bucket_seconds (int) | start (timestamp) | end (timestamp) | |
|---|---|---|---|
15 | "2018-01-01T00:00:00" | "2018-01-02T00:00:00" | Abfrage der Markthistorie zwischen dem 1. Januar 2018 und dem 2. Januar 2018, segmentiert in 15 Sekunden. |
60 | "2018-01-01T00:00:00" | "2018-01-02T00:00:00" | Abfrage der Markthistorie zwischen dem 1. Januar 2018 und dem 2. Januar 2018, segmentiert in einer Minute. |
300 | "2018-01-01T00:00:00" | "2018-01-02T00:00:00" | Abfrage der Markthistorie zwischen dem 1. Januar 2018 und dem 2. Januar 2018, segmentiert in fünf Minuten. |
3600 | "2018-01-01T00:00:00" | "2018-01-02T00:00:00" | Abfrage der Markthistorie zwischen dem 1. Januar 2018 und dem 2. Januar 2018, segmentiert in einer Stunde. |
86400 | "2018-01-01T00:00:00" | "2018-01-02T00:00:00" | Abfrage der Markthistorie zwischen dem 1. Januar 2018 und dem 2. Januar 2018, segmentiert in einem Tag. |
Siehe auch: market_history_api.get_market_history
Parameters
PARAMETERS
json
[
0,
"1970-01-01T00:00:00",
"1970-01-01T00:00:00"
]Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.get_market_history",
"params": [
15,
"2018-01-01T00:00:00",
"2018-01-02T00:00:00"
],
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.get_market_history",
"params": [
60,
"2018-01-01T00:00:00",
"2018-01-02T00:00:00"
],
"id": 1
}'Example 3
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.get_market_history",
"params": [
300,
"2018-01-01T00:00:00",
"2018-01-02T00:00:00"
],
"id": 1
}'Example 4
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.get_market_history",
"params": [
3600,
"2018-01-01T00:00:00",
"2018-01-02T00:00:00"
],
"id": 1
}'Example 5
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.get_market_history",
"params": [
86400,
"2018-01-01T00:00:00",
"2018-01-02T00:00:00"
],
"id": 1
}'Response
RESPONSE
json
[
{
"id": 0,
"open": "1970-01-01T00:00:00",
"seconds": 0,
"steem": {
"high": 0,
"low": 0,
"open": 0,
"close": 0,
"volume": 0
},
"non_steem": {
"high": 0,
"low": 0,
"open": 0,
"close": 0,
"volume": 0
}
}
]